Bug 499941 - Review Request: perl-HTML-WikiConverter-Markdown - Convert HTML to Markdown markup
Review Request: perl-HTML-WikiConverter-Markdown - Convert HTML to Markdown m...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/HTML-Wiki...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 05:25 EDT by Iain Arnell
Modified: 2009-05-19 20:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.05-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 20:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-09 05:25:12 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-HTML-WikiConverter-Markdown.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-HTML-WikiConverter-Markdown-0.05-1.fc12.src.rpm

Description:
This module contains rules for converting HTML into Markdown markup. You
should not use this module directly; HTML::WikiConverter is the entry point
for html->wiki conversion (eg, see synopsis above). See HTML::WikiConverter
for additional usage details.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1344790

*rt-0.09
Comment 1 Parag AN(पराग) 2009-05-10 12:14:06 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1344790
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6d208cf97e1818052c65f8685d12faa6b1b6a74f  HTML-WikiConverter-Markdown-0.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=60,  0 wallclock secs ( 0.03 usr  0.02 sys +  0.40 cusr  0.04 csys =  0.49 CPU)
+ Package perl-HTML-WikiConverter-Markdown-0.05-1.fc12.noarch =>
Provides: perl(HTML::WikiConverter::Markdown) = 0.05
Requires: perl(HTML::Entities) perl(HTML::Tagset) perl(Params::Validate) perl(URI) perl(base) perl(strict) perl(warnings)
APPROVED.
Comment 2 Iain Arnell 2009-05-10 12:42:05 EDT
New Package CVS Request
=======================
Package Name: perl-HTML-WikiConverter-Markdown
Short Description: Convert HTML to Markdown markup
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-10 15:21:18 EDT
cvs done.
Comment 4 Iain Arnell 2009-05-10 23:31:52 EDT
built in rawhide - waiting for perl-HTML-WikiConverter to go stable on branches
Comment 5 Fedora Update System 2009-05-11 23:25:26 EDT
perl-HTML-WikiConverter-Markdown-0.05-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-HTML-WikiConverter-Markdown-0.05-1.fc11
Comment 6 Fedora Update System 2009-05-11 23:25:31 EDT
perl-HTML-WikiConverter-Markdown-0.05-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-HTML-WikiConverter-Markdown-0.05-1.fc10
Comment 7 Fedora Update System 2009-05-12 20:20:30 EDT
perl-HTML-WikiConverter-Markdown-0.05-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTML-WikiConverter-Markdown'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4868
Comment 8 Fedora Update System 2009-05-12 20:23:32 EDT
perl-HTML-WikiConverter-Markdown-0.05-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTML-WikiConverter-Markdown'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4878
Comment 9 Fedora Update System 2009-05-19 20:48:20 EDT
perl-HTML-WikiConverter-Markdown-0.05-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-19 20:50:27 EDT
perl-HTML-WikiConverter-Markdown-0.05-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.